[kernel] r5458 - dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches

Martin Michlmayr tbm at costa.debian.org
Mon Jan 16 17:51:25 UTC 2006


Author: tbm
Date: Mon Jan 16 17:51:21 2006
New Revision: 5458

Added:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/62_remove_stray_mips3_in_32bit.dpatch   (contents, props changed)
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/63_ssnop_opcode.dpatch   (contents, props changed)
Modified:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
Log:
add two fixes from linux-mips git


Modified: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
==============================================================================
--- dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	(original)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	Mon Jan 16 17:51:21 2006
@@ -17,3 +17,5 @@
 55_o32-kcore.dpatch
 56_corefile-o32.dpatch
 61_uaccess_breakage.dpatch
+62_remove_stray_mips3_in_32bit.dpatch
+63_ssnop_opcode.dpatch

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/62_remove_stray_mips3_in_32bit.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/62_remove_stray_mips3_in_32bit.dpatch	Mon Jan 16 17:51:21 2006
@@ -0,0 +1,52 @@
+#! /bin/sh -e
+## 62_remove_stray_mips3_in_32bit.dpatch by Ralf Baechle <ralf at linux-mips.org>
+##
+## DP: Remove stray .set mips3 resulting in 64-bit instruction in 32-bit kernels.
+## DP: Patch author: Ralf Baechle <ralf at linux-mips.org>
+## DP: Upstream status: in linux-mips git
+#
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+
+author	Ralf Baechle <ralf at linux-mips.org>
+	Mon, 9 Jan 2006 20:09:36 +0000 (20:09 +0000)
+committer	Ralf Baechle <ralf at linux-mips.org>
+	Mon, 9 Jan 2006 20:09:36 +0000 (20:09 +0000)
+commit	cfbc9cac62f0438cefe171736729e786b45884b8
+
+Remove stray .set mips3 resulting in 64-bit instruction in 32-bit kernels.
+
+Only the NMI handler was affected so this is a low impact bug.
+
+Signed-off-by: Ralf Baechle <ralf at linux-mips.org>
+
+file:aa18a8b7b38086e091956422a7deb0f935c6de29 -> file:1bcbd91ba1d29807c507686ba71f834799c0e0ae
+
+diff -urN linux-mips/arch/mips/kernel/genex.S new/arch/mips/kernel/genex.S
+--- linux-mips/arch/mips/kernel/genex.S	2006-01-10 11:30:59.000000000 +0000
++++ new/arch/mips/kernel/genex.S	2006-01-16 17:45:24.000000000 +0000
+@@ -233,7 +233,6 @@
+ NESTED(nmi_handler, PT_SIZE, sp)
+ 	.set	push
+ 	.set	noat
+-	.set	mips3
+ 	SAVE_ALL
+  	move	a0, sp
+ 	jal	nmi_exception_handler

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/63_ssnop_opcode.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/63_ssnop_opcode.dpatch	Mon Jan 16 17:51:21 2006
@@ -0,0 +1,55 @@
+#! /bin/sh -e
+## 10_arch-makefile.dpatch by Ralf Baechle <ralf at linux-mips.org>
+#
+## DP: Fix C version of ssnop to use the right opcode.
+## DP: Patch author: Ralf Baechle <ralf at linux-mips.org>
+## DP: Upstream status: in linux-mips git
+#
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+
+Fix C version of ssnop to use the right opcode.
+author	Ralf Baechle <ralf at linux-mips.org>
+	Wed, 11 Jan 2006 18:23:00 +0000 (18:23 +0000)
+committer	Ralf Baechle <ralf at linux-mips.org>
+	Wed, 11 Jan 2006 18:23:00 +0000 (18:23 +0000)
+commit	e4ce2d06d3c4b691557aeaf6bcf5e79d92855c3e
+tree	ab7be50e2922f353d401907e731a3ac9afbdadc9	tree
+parent	aa01d786de57c8d062e47411747ceccf004dfb79	commit | commitdiff
+
+Fix C version of ssnop to use the right opcode.
+
+Signed-off-by: Ralf Baechle <ralf at linux-mips.org>
+
+
+file:2fc90632f88cfeaab2e8fbaea794a961019a3a6f -> file:6111a0ce58c4cf4bb4b1db0b5aa6fb064fc3d413
+
+diff -urN linux-mips/include/asm-mips/hazards.h new/include/asm-mips/hazards.h
+--- linux-mips/include/asm-mips/hazards.h	2006-01-10 11:21:59.000000000 +0000
++++ new/include/asm-mips/hazards.h	2006-01-16 17:47:23.000000000 +0000
+@@ -100,7 +100,7 @@
+ 
+ __asm__(
+ 	"	.macro	_ssnop					\n\t"
+-	"	sll	$0, $2, 1				\n\t"
++	"	sll	$0, $0, 1				\n\t"
+ 	"	.endm						\n\t"
+ 	"							\n\t"
+ 	"	.macro	_ehb					\n\t"



More information about the Kernel-svn-changes mailing list